6.0.0-git
2019-03-19

[#8358] turba with kolab-backend loses e-mail address when adding contact from imp/dimp
Summary turba with kolab-backend loses e-mail address when adding contact from imp/dimp
Queue Kolab
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester m.rolke (at) linux-ag (dot) com
Created 2009-06-18 (3561 days ago)
Due
Updated 2012-10-15 (2346 days ago)
Assigned 2009-06-18 (3561 days ago)
Resolved 2012-10-10 (2351 days ago)
Milestone
Patch No

History
2012-10-15 20:45:09 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit 31c0961b8fe155ae1d1b16777eab87492e970378
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 15:09:48 2012 +0200

     Special handling to map 'email' to 'emails' attributes (Bug #8358).

  turba/docs/CHANGES |    2 ++
  turba/lib/Api.php  |    3 +++
  turba/package.xml  |    2 ++
  3 files changed, 7 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/31c0961b8fe155ae1d1b16777eab87492e970378
2012-10-10 13:37:26 Thomas Jarosch Comment #3 Reply to this comment
Fix confirmed, thanks.

2012-10-10 13:17:10 Jan Schneider Assigned to Jan Schneider
Taken from Thomas Jarosch
Taken from Gunnar Wrobel
State ⇒ Resolved
 
2012-10-10 13:17:05 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 31c0961b8fe155ae1d1b16777eab87492e970378
Author: Jan Schneider <jan@horde.org>
Date:   Wed Oct 10 15:09:48 2012 +0200

     Special handling to map 'email' to 'emails' attributes (Bug #8358).

  turba/docs/CHANGES |    2 ++
  turba/lib/Api.php  |    3 +++
  turba/package.xml  |    2 ++
  3 files changed, 7 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/31c0961b8fe155ae1d1b16777eab87492e970378
2009-06-18 17:38:29 Jan Schneider Assigned to Gunnar Wrobel
Assigned to Thomas Jarosch
State ⇒ Assigned
 
2009-06-18 16:52:11 Chuck Hagenbuch Version ⇒
Queue ⇒ Kolab
 
2009-06-18 16:44:43 m (dot) rolke (at) linux-ag (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ turba with kolab-backend loses e-mail address when adding contact from imp/dimp
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi there,



i have turba configured with kolab2 as the storage backend.



Creating a contact in turba itself works flawless.

But when i try to import the sender of an e-mail to my default 
addressbook (kolab backend) it fails.

Although the contact will be created, turba throws away the e-mail attribute.



The problem, i think, is that imp tries to add a contact with a single 
e-mail address ($attribute['email']).

Turba in contrast expects $attribute['emails'] (plural) and throws 
away the former.



Because i think this is a specialty for kolab, this should be fixed in 
the kolab driver itself:



So, i suggest adding something like the followin to the _add function 
in turba/lib/Driver/kolab.php



if (isset($attributes['email'])) {

                 $attributes['emails'] = $attributes['email'];

                 unset($attributes['email']);

         }



Thoughts?

Saved Queries